SDL_GetJoystickButton(3)

NAME
SDL_GetJoystickButton - Get the current state of a button on a joystick.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

Uint8 SDL_GetJoystickButton(SDL_Joystick *joystick, int button);

FUNCTION PARAMETERS

joystick
    an SDL_Joystick
     structure containing joystick information

button
    the button index to get the state from; indices start at index 0

RETURN VALUE
Returns 1 if the specified button is pressed, 0 otherwise.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetNumJoystickButtons(3)